BufferedWriteFileFdPrivate Class Reference
Inheritance diagram for BufferedWriteFileFdPrivate:
[legend]
Collaboration diagram for BufferedWriteFileFdPrivate:
[legend]

## Public Member Functions

| BufferedWriteFileFdPrivate (std::unique_ptr< FileFdPrivate > &&Priv)
APT::Configuration::Compressor | get_compressor () const override
void | set_compressor (APT::Configuration::Compressor const &compressor) override
unsigned int | get_openmode () const override
void | set_openmode (unsigned int openmode) override
bool | get_is_pipe () const override
void | set_is_pipe (bool is_pipe) override
unsigned long long | get_seekpos () const override
void | set_seekpos (unsigned long long seekpos) override
bool | InternalOpen (int const iFd, unsigned int const Mode) override
ssize_t | InternalUnbufferedRead (void *const To, unsigned long long const Size) override
bool | InternalReadError () override
char * | InternalReadLine (char *To, unsigned long long Size) override
bool | InternalFlush () override
ssize_t | InternalWrite (void const *const From, unsigned long long const Size) override
bool | InternalWriteError () override
bool | InternalSeek (unsigned long long const To) override
bool | InternalSkip (unsigned long long Over) override
bool | InternalTruncate (unsigned long long const Size) override
unsigned long long | InternalTell () override
unsigned long long | InternalSize () override
bool | InternalClose (std::string const &FileName) override
bool | InternalAlwaysAutoClose () const override
Public Member Functions inherited from FileFdPrivate
| FileFdPrivate (FileFd *const pfilefd)
ssize_t | InternalRead (void *To, unsigned long long Size)
virtual bool | InternalStream () const

## Protected Attributes

std::unique_ptr< FileFdPrivate > | wrapped
simple_buffer | writebuffer
Protected Attributes inherited from FileFdPrivate
FileFd *const | filefd
simple_buffer | buffer
int | compressed_fd
pid_t | compressor_pid
bool | is_pipe
APT::Configuration::Compressor | compressor
unsigned int | openmode
unsigned long long | seekpos

## Member Function Documentation

## get_compressor()

APT::Configuration::Compressor get_compressor | ( |  | ) | const

inline nodiscard override virtual

Reimplemented from FileFdPrivate.

## get_is_pipe()

bool get_is_pipe | ( |  | ) | const

inline nodiscard override virtual

Reimplemented from FileFdPrivate.

## get_openmode()

unsigned int get_openmode | ( |  | ) | const

inline nodiscard override virtual

Reimplemented from FileFdPrivate.

## get_seekpos()

unsigned long long get_seekpos | ( |  | ) | const

inline nodiscard override virtual

Reimplemented from FileFdPrivate.

## InternalAlwaysAutoClose()

bool InternalAlwaysAutoClose | ( |  | ) | const

inline nodiscard override virtual

Reimplemented from FileFdPrivate.

## InternalClose()

bool InternalClose | ( | std::string const & | FileName | ) |

inline override virtual

Implements FileFdPrivate.

## InternalFlush()

bool InternalFlush | ( |  | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## InternalOpen()

bool InternalOpen | ( | int const | iFd,
|  | unsigned int const | Mode )

inline override virtual

Implements FileFdPrivate.

## InternalReadError()

bool InternalReadError | ( |  | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## InternalReadLine()

char * InternalReadLine | ( | char * | To,
|  | unsigned long long | Size )

inline override virtual

Reimplemented from FileFdPrivate.

## InternalSeek()

bool InternalSeek | ( | unsigned long long const | To | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## InternalSize()

unsigned long long InternalSize | ( |  | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## InternalSkip()

bool InternalSkip | ( | unsigned long long | Over | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## InternalTell()

unsigned long long InternalTell | ( |  | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## InternalTruncate()

bool InternalTruncate | ( | unsigned long long const | Size | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## InternalUnbufferedRead()

ssize_t InternalUnbufferedRead | ( | void *const | To,
|  | unsigned long long const | Size )

inline override virtual

Implements FileFdPrivate.

## InternalWrite()

ssize_t InternalWrite | ( | void const *const | From,
|  | unsigned long long const | Size )

inline override virtual

Implements FileFdPrivate.

## InternalWriteError()

bool InternalWriteError | ( |  | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## set_compressor()

void set_compressor | ( | APT::Configuration::Compressor const & | compressor | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## set_is_pipe()

void set_is_pipe | ( | bool | is_pipe | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## set_openmode()

void set_openmode | ( | unsigned int | openmode | ) |

inline override virtual

Reimplemented from FileFdPrivate.

## set_seekpos()

void set_seekpos | ( | unsigned long long | seekpos | ) |

inline override virtual

Reimplemented from FileFdPrivate.

The documentation for this class was generated from the following file:

- apt-pkg/contrib/fileutl.cc